Bug 435922 - pata_amd: ATAPI drive timeouts
pata_amd: ATAPI drive timeouts
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Alan Cox
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 08:56 EST by David Fix
Modified: 2008-07-28 12:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-28 12:20:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An lspci -vvxxx on the machine (57.10 KB, text/plain)
2008-03-04 08:56 EST, David Fix
no flags Details

  None (edit)
Description David Fix 2008-03-04 08:56:44 EST
Description of problem:


Version-Release number of selected component (if applicable):
2.6.23.15-137.fc8 #1 SMP Sun Feb 10 17:03:13 EST 2008 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
Always happens

Steps to Reproduce:
1. Turn on machine
2. Look at /var/log/messages or dmesg
  
Actual results:
See spam such as:
sr 6:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] [descriptor]
   : Add. Sense: No additional sense information
ata7.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata7.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0
         res 40/00:03:00:00:20/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata7: soft resetting port
ata7.00: configured for PIO0
ata7: EH complete


Expected results:
None of those messages

Additional info:
x86_64
Comment 1 David Fix 2008-03-04 08:56:44 EST
Created attachment 296736 [details]
An lspci -vvxxx on the machine
Comment 2 Alan Cox 2008-03-10 07:43:47 EDT
Can you attach the dmesg output and also let me know if the device is SATA or
PATA. Also do you have > 4GB RAM ?
Comment 3 David Fix 2008-03-10 09:59:19 EDT
Hi Alan.  :)  There are two SATA drives, which I don't *think* are affected
(they seem to be responsive), but the DVD-R/W drive is on an IDE interface, and
that appears to be unresponsive, and the shell will hang if I attempt to access it.

The machine has two gigabytes of RAM.

As for the dmesg, it's completely full of this, repeating constantly:

-----
ata7.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata7.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0
         res 40/00:03:00:00:20/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata7: soft resetting port
ata7.00: configured for PIO0
ata7: EH complete
-----

And then interspersed in between those messages, though less frequent, are these
two messages:
-----
sr0: CDROM (ioctl) error, command: Test Unit Ready 00 00 00 00 00 00
sr: Sense Key : Aborted Command [current] [descriptor]
sr: Add. Sense: No additional sense information
-----
AND
-----
sr 6:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] [descriptor]
   : Add. Sense: No additional sense information
-----

And that's all I've got.  :D
Comment 4 Alan Cox 2008-03-10 10:36:48 EDT
No idea right now, but the info is enough to classify the bug in case ideas
occur or something similar appears
Comment 5 Alan Cox 2008-06-10 11:24:26 EDT
Does it behave any better if you do

setpci  -s 0:D.0 51.b=0f

Do that after boot from a text console and before you log into the desktop. If
I've got it right that will turn off the ATA FIFO. Should be a safe test but you
might want to make a backup first just in case.

Comment 6 Alan Cox 2008-07-28 12:20:07 EDT
No response so assuming resolved

Note You need to log in before you can comment on or make changes to this bug.